@echo off
prompt $$$S
echo.
echo Executing CryptPadInstall.cmd
echo.
echo %~f0

set file=CryptPad.html
if not exist %file% goto :missing
set file=CryptPad.png
if not exist %file% goto :missing
set file=CryptPadInstall.cmd
if not exist %file% goto :missing
set file=CryptPadAdd.reg
if not exist %file% goto :missing
set file=CryptPadDelete.reg
if not exist %file% goto :missing
set file=CryptPadInstallAdmin.cmd
if not exist %file% goto :missing
set file=CryptPadAddAdmin.reg
if not exist %file% goto :missing
set file=CryptPadDeleteAdmin.reg
if not exist %file% goto :missing
set file=CryptPad.exe
if exist %file% goto :copy

:missing

echo.
echo Missing the %file% file!
echo.
echo CryptPadInstall.cmd assumes all release files:
echo CryptPad.exe, CryptPad.html, CryptPad.png,
echo CryptPadInstall.cmd, CryptPadAdd.reg, and CryptPadDelete.reg,
echo CryptPadInstallAdmin.cmd, CryptPadAddAdmin.reg, and CryptPadDeleteAdmin.reg,
echo are in the same directory to copy to the install location!

echo.
pause
goto :eof

:copy

set d=%USERPROFILE%\Documents\CryptPad
set p=%d%\CryptPad.exe

rem If they execute from the install directory then reg only
if %CD% == %D% goto :regonly

echo.
echo Clear any previous CryptPad release files from the Documents directory
rd /s /q "%d%"

if not exist "%p%" goto :makenew

echo.
echo Old "%p%" busy!
echo Cannot complete install!
echo.
pause
goto :eof

:makenew

echo.
echo Place new CryptPad release files in the %d% directory

echo.
echo Make new directory and add files
md "%d%"

xcopy /y *.* "%d%\"

:regonly

echo.
echo Execute the CryptPadAdd.reg file

regedit.exe /s CryptPadDelete.reg
regedit.exe /s CryptPadAdd.reg

echo.
echo Finished.

echo.
pause
